Name:		ultrastardx
Version:	1.1
Release:	%mkrel 1
License:	GPL
Summary:	UltraStar Deluxe is a free karaoke game
Summary(de):	UltraStar Deluxe ist ein freies Karaoke Spiel
URL:		http://www.ultrastardeluxe.org/
Source0:	%{name}-%{version}-src.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot
Group: 		Games/Arcade
BuildRequires:	libSDL-devel
BuildRequires:	libSDL_image-devel
BuildRequires:	libfreetype6-devel
BuildRequires:	libxorg-x11-devel
BuildRequires:	libportaudio2-devel
BuildRequires:	libsqlite3-devel
BuildRequires:	libmesagl1-devel
BuildRequires:	libffmpeg-devel
BuildRequires:	fpc-src >= 2.2.2
BuildRequires:  liblua-devel >= 5.1
Requires:	libSDL1.2_0
Requires:	libSDL_image1.2
Requires:	libfreetype6
Requires:	libportaudio2
Requires:	libsqlite3_0
Requires:	libmesagl1
Requires:	ffmpeg
Requires:   	glibc >= 2.10.1
Requires:   	libstdc++6 >= 4.4.1
Obsoletes:  	%name < %version

%description
The gameplay of UltraStar Deluxe is similar to that of the commercial product 
SingStar™ by Sony Computer Entertainment, which is exclusivly available for 
Playstation®. However UltraStar Deluxe allows to create own songs and as well 
differs from other karaoke programs in further aspects. It allows you to play 
with up to 12 players and sing along to your favorite songs. You do not even 
have to buy expensive DVDs with not so many songs you really like, instead 
just buy DRM free audio files, use your album/cd music you already own and 
so on - You'll notice that this is way cheaper because you won't ever be 
charged twice for a song you already bought in the past. 

For more informations visit
<http://www.ultrastardeluxe.org/>

#german
%description -l de
Verwandeln Sie Ihr Zuhause in eine Karaoke-Bar, in der Sie allein oder mit 
Freunden Songs nachsingen können. Der Liedtext und dessen Tonlage werden 
angezeigt. Je besser Sie die Töne treffen, desto mehr Punkte gibt es. Mit 
Singen starten Sie den Solomodus. Tragen Sie Ihren Spielernamen ein und 
ordnen Ihr gesangliches Talent einem der drei Schwierigkeitsgrade zu. Die 
drei Demosongs lassen sich vor dem Spielbeginn anspielen, damit Sie sich 
auf Melodie und Text einstellen können. Nach jeder Textzeile, die Sie 
nachgesungen haben, erscheint eine Bewertung, die in Ihrem Fall hoffentlich 
nicht "grausam" oder "mies" lauten wird. Der Partymodus erlaubt das Spielen 
von 2 oder 3 Teams, zu denen jeweils bis zu 4 Spieler gehören dürfen. Das 
Spiel läuft über 2 bis 7 Runden. Im Toolsmenü haben Sie Zugriff auf die 
Statistiken und die Optionen für Grafik, Themes, Sound, Aufnahme etc. Ihre 
eigenen Songs, die als MP3-, OGG- oder Mididatei vorliegen müssen, kopieren 
Sie in das Verzeichnis Songs. Für die Anzeige von Liedtext und Tonlage 
müssen Sie einem Song eine Textdatei beilegen. Im Internet gibt es bereits 
solche Textdateien zu vielen bekannten Songs. Mit dem Editor erstellen Sie 
diese Textdateien selbst. Wie das geht, erfahren Sie in der deutschsprachigen 
Hilfe. Dazu öffnen Sie die Datei documentation.pdf im Programmordner und 
gehen zu 6.3. Eine technische Voraussetzung des Programms ist natürlich ein 
Mikrofon. Für den Partymodus benötigen Sie davon zwei.

Für weitere Informationen besuchen Sie 
<http://www.ultrastardeluxe.org/>


%prep

%setup -q -n %{name}-%{version}-src

%build
./configure --prefix=/usr
make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std 

mkdir -p %{buildroot}%{_datadir}/applications
%__cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=UltraStar Deluxe
Name[de]=UltraStar Deluxe
Type=Application
Comment=UltraStar Deluxe is a free karaoke game
Comment[de]=UltraStar Deluxe ist ein freies Karaoke Spiel
Terminal=false
Exec=ultrastardx
Icon=/usr/share/ultrastardx/resources/icons/ultrastardx-icon.png 
Categories=Game;ArcadeGame;X-pclinuxos-Games/Arcade;
GenericName=UltraStar Deluxe
GenericName[de]=UltraStar Deluxe
Encoding=UTF-8
X-Desktop-File-Install-Version=1.0.1a
EOF



%clean
rm -rf %{buildroot}

%post
%{update_menus}
%{update_desktop_database}

%postun
%{clean_menus}
%{clean_desktop_database}

%files
%defattr(-, root, root)
%{_bindir}/%{name}
%doc COPYING.txt
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop

%changelog
* Wed Jan 26 2011 leiche <meisssw01 at aol.com> 1.1leiche2011
- update 1.1

* Fri Dec 11 2009 Leiche <MeissSW01@aol.com> 1.0.1a-1pclos2010
- build for PCLinuxOS



